<?php

/*

 Website Baker Project <http://www.websitebaker.org/>
 Copyright (C) 2004-2007, Ryan Djurovich

 Website Baker is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 Website Baker is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with Website Baker; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

if(!defined('WB_URL')) {
	header('Location: ../index.php');
	exit(0);
}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<!-- 
	Template by gavjof
	www.gavjof.com
-->
<head>
<title><?php page_title(); ?></title>
<meta http-equiv="Content-Type" content="text/html; charset=<?php if(defined('DEFAULT_CHARSET')) { echo DEFAULT_CHARSET; } else { echo 'utf-8'; }?>" />
<meta name="description" content="<?php page_description(); ?>" />
<meta name="keywords" content="<?php page_keywords(); ?>" />
<link href="<?php echo TEMPLATE_DIR; ?>/screen.css" rel="stylesheet" type="text/css" media="screen" />
<link href="<?php echo TEMPLATE_DIR; ?>/print.css" rel="stylesheet" type="text/css" media="print" />

<!--[if IE]>
	<style type="text/css" media="all">
		body {behavior: url("<?php echo TEMPLATE_DIR; ?>/csshover.htc");}
	</style>
<![endif]-->

</head>
<body>
<a id="top"></a>
<div class="stealth">
	<a href="#beginContent">skip to content</a>
</div>

<div id="main">
	<div id="banner">
		<div id="search_box">
			<?php if(SHOW_SEARCH) { ?>
			<fieldset>
			<legend><?php echo $TEXT['WEBSITE']; ?>&nbsp;<?php echo $TEXT['SEARCH']; ?></legend>
			<label for="search_string"><?php echo $TEXT['SEARCH']; ?></label>
			<form name="search" action="<?php echo WB_URL.'/search/index'.PAGE_EXTENSION; ?>" method="get">
			<input type="text" name="string" class="search_string" id="search_string" />
			<input type="submit" name="submit" value="<?php echo $TEXT['SEARCH']; ?>" class="search_submit" id="search_submit" />
			</form>
			</fieldset>
			<?php } ?>
		</div><!-- end searchbox -->
		<h1><a href="<?php echo WB_URL; ?>/"><?php echo WEBSITE_TITLE; ?></a></h1><br />
		<h2><?php page_header(); ?></h2>
	</div><!-- end banner -->
	<div id="navContainer">
		<div id="nav" class="clearfix">
			<?php show_menu2(0, SM2_ROOT, SM2_ALL, SM2_ALL, false, "\n</li>", false, false, false, '<ul id="header_menu" class="menu">'); ?><br />
		</div><!-- end nav -->
	</div><!-- end navContainer -->
	<div id="contentContainer">
		<?php if(SHOW_MENU) {	?>	
			<div id="sideColumn">
				<div id="login-box">
					<!-- Admin login Box -->
					<?php
					if(FRONTEND_LOGIN AND !$admin->is_authenticated()) { //If begin
					?>
					<form name="login" action="<?php echo LOGIN_URL; ?>" method="post">
					<fieldset class="topbox">
						<legend><?php echo $TEXT['LOGIN']; ?></legend>
						<div class="topboxbody">
							<label for="username"><?php echo $TEXT['USERNAME']; ?>:</label>
							<input type="text" name="username" id="username" class="text" />
							<label for="password"><?php echo $TEXT['PASSWORD']; ?>:</label>
							<input type="password" name="password" id="password" class="text" />
							<input type="submit" name="submit" value="<?php echo $TEXT['LOGIN']; ?>" class="submit" /><br />
							<a href="<?php echo FORGOT_URL; ?>"><?php echo $TEXT['FORGOT_DETAILS']; ?></a>, <br />
							<?php if(is_numeric(FRONTEND_SIGNUP)) { ?>
								<a href="<?php echo SIGNUP_URL; ?>"><?php echo $TEXT['SIGNUP']; ?></a>
							<?php } ?>
						</div>
					</fieldset>
					</form>
					<?php
					} elseif(FRONTEND_LOGIN AND $admin->is_authenticated()) {//elseIf begin
					?>
					<form name="logout" action="<?php echo LOGOUT_URL; ?>" method="post">
					<fieldset class="topbox">
						<legend><?php echo $TEXT['LOGGED_IN']; ?>:</legend>
						<div class="topboxbody">
							( <?php echo $TEXT['WELCOME_BACK']; ?>,<br /> <span class="username"><?php echo $admin->get_display_name(); ?></span> )<br />
							<strong><?php echo $TEXT['OPTION']; ?></strong><br />
							<a href="<?php echo LOGOUT_URL; ?>"><?php echo $MENU['LOGOUT']; ?></a>,<br />
							<a href="<?php echo PREFERENCES_URL; ?>"><?php echo $MENU['PREFERENCES']; ?></a>
						</div>
					</fieldset>
					</form>
					<?php
					}
					?>
					<!-- end admin box -->
				</div><!-- end login -->
			</div><!-- end sideColumn -->
		<?php } ?>
		<div id="content">
			<a id="beginContent"></a>
			<h1 class="page_title"><?php echo PAGE_TITLE; ?></h1>
			<?php page_content(); ?>
		</div><!-- end content -->
	</div><!-- end contentContainer -->
	<div id="footer" class="clearfix">
		<div id="baker_footer">
			<?php page_footer(); // Get Info from WB Settings "Footer" ?>
		</div><!-- end baker_footer -->
	</div><!-- end footer -->
</div><!-- end main -->

<div id="extras">
	<div id="coding">
		<p><strong>Coded with valid</strong><a href="http://validator.w3.org/check?uri=referer" title="Valid XHTML"><acronym title="Extensible Hypertext Markup Language" lang="en">XHTML</acronym></a>, <a href="http://jigsaw.w3.org/css-validator/check/referer"><acronym title="Cascading Style Sheets" lang="en">CSS</acronym></a> and tested for <a href="http://www.w3.org/WAI/WCAG1A-Conformance"><acronym title="Web Content Accessibility Guidelines" lang="en">WCAG</acronym></a> Priority 2 Conformance.</p>
	</div><!-- end coding -->
	<div id="powered_by">
		<p>Powered by <a href="http://www.websitebaker.org" target="_blank">Website Baker</a>, design by <a href="http://www.gavjof.com" target="_blank">gavjof</a></p>
	</div><!-- end poweredby -->
</div><!-- end extras -->

</body>
</html>